package com.fs.store.param;

import com.fs.store.domain.FsStoreCart;
import com.fs.store.domain.FsStoreOrder;
import com.fs.store.vo.FsStoreCartQueryVO;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class FsStoreOrderMoneyByProductParam {
    //销售token
    @NotNull(message = "token不能为空")
    private String token;

    @NotNull(message = "createOrderKey不能为空")
    private String createOrderKey;

    //购物车明细
    private List<FsStoreCartQueryVO> carts;
}
